//*****************************************
// IV-27 VFD Clock Program Mega328
// CPU Clock:8MHz
//   iq[Yf[^@UWlgɂj
//
// File Name:port_bit.h
//
// 2016/07/05
//  huPWQbknbj̃\[XύXAtBg쓮ǉĂhu|QPpƂ
// 2018/02/13
//  huQPQbknbj̃\[XύXA𑝂₵Ăhu|QVpƂ
//
//  2015/12/29 New
//  2016/02/09 modify     Taishi  vݒ莞̒l̋ύX
//  2016/07/05 modify     Taishi  IV-21pɕύX{tBg쓮ǉ
//  2018/02/13 New(TAB4)  Taishi  [Ver 0.1] iv_21_clock [Ver 1.1]iv_27clock
//*****************************************

#define			SW_LEFT		(1 << PIND2)		// XCb`
#define			SW_RIGHT	(1 << PIND3)		// EXCb`

// XCb`̑ԁiWrbgj
#define			SWL_ON_NOW			0x0100		// XCb`ꂽB
#define			SWL_OFF_SHORT		0x0200		// XCb`ꂽBĂԂ͒Z
#define			SWL_OFF_LONG		0x0400		// XCb`ꂽBĂԂ͒
#define			SWL_ON_CONTINUE		0x0800		// XCb`ꑱĂBi莞ԊԊuł̒lxoj
#define			SWL_ON				0x1000		// XCb`ꑱĂBiĂ鎞͂̒loj
#define			SWL_MASK			0x1f00		// XCb`̐M𒊏o

// EXCb`̑ԁiWrbgj
#define			SWR_ON_NOW			0x0001		// EXCb`ꂽB
#define			SWR_OFF_SHORT		0x0002		// EXCb`ꂽBĂԂ͒Z
#define			SWR_OFF_LONG		0x0004		// EXCb`ꂽBĂԂ͒
#define			SWR_ON_CONTINUE		0x0008		// EXCb`ꑱĂBi莞ԊԊuł̒lxoj
#define			SWR_ON				0x0010		// EXCb`ꑱĂBiĂ鎞͂̒loj
#define			SWR_MASK			0x001f		// EXCb`̐M𒊏o

extern	unsigned char	sw[4];					// SW[1] Ɍ݂̏ԁAĂ镨'1'̏ԁA SW[2] ɉꂽuԂ'1'̏ԁA SW[3] ɗꂽuԂ'1'̏

extern	void			sw_init(void);
extern	void			get_sw(void);
extern	unsigned short	get_action_sw(void);
extern	void			wait_key_off(void);
extern	void			wait_swr_off(void);

extern	void	led_init(void);
extern	void	led_on_off(unsigned char on);
